Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 17:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
abiword 2.9.2 for precise pup 5.3.0
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Wed 22 Aug 2012, 18:21    Post_subject:  abiword 2.9.2 for precise pup 5.3.0
Sub_title: (for old yeller's version of precise puppy 5.3.0)
 

Hello, puppy-ists!

Here is a new package for abiword, v. 2.9.2.

////////////////

Advantages vs the included abiword v. 2.8.6 :

. double-buffering of writing zone. This means the writing zone should now be stable, especially if you use the included Libertine font (quite universal, similar in proportions to arial, for ex.).

. as compared to the default abiword provided with oldyeller's precise, this version has all plugins. This means that your abiword will be able to load pretty much any text format : odt (OO|LO), docx (Word) , the old Wordperfect format, etc., and even PDF's.

For example, this pdf plugin may come in handy if you want to pluck out some text from your pdf. Load your pdf in abiword, and the text of the pdf will appear in abiword as -- text --, without any formating. You can then save to another document/format, copy and paste elsewhere, etc. Very handy. This plugin also helps you print to pdf.

Here is a complete list of the plugins:

aiksaurus.so* gdict.so* mswrite.so* s5.so*
applix.so* gimp.so* opendocument.so* sdw.so*
babelfish.so* google.so* openwriter.so* t602.so*
bmp.so* grammar.so* openxml.so* urldict.so*
clarisworks.so* hancom.so* opml.so* wikipedia.so*
collab.so* hrtext.so* ots.so* wmf.so*
command.so* iscii.so* paint.so* wml.so*
docbook.so* kword.so* passepartout.so* wordperfect.so*
eml.so* latex.so* pdb.so* wpg.so*
epub.so* loadbindings.so* pdf.so* xslfo.so*
freetranslation.so* mht.so* plugins.lst*
garble.so* mif.so* presentation.so*

As you can see, those plugins will help you load all kinds of pictures, connect to a translation site or wikipedia, incorporate epub and xml formats, etc., etc.

. this abiword has a gtk 3 interface. Much simpler, it helps you concentrate on your writing (IMO).

. If you don't have to install the NLS file, the overall space needed is around 2-3 additional megs (considering some space is already taken by the existing version 2.8.6 of abiword). In view of all the additional facilities you're getting in this abiword, it's a no-brainer. It's worth it to add a few megs to your puppy in order to use this complete version of abiword.

/////////////

This v. of abiword may or may not work on other puppy's, I don't know. I only tried it in precise pup 5.3.0. Please let us know if it works on your box.

///////////////////
Download links:
Main abiword executable : http://limelinx.com/g7k1

NLS pet : http://limelinx.com/bp7yd

Docs : no docs file is necessary, since clicking on the "help" submenu items in this v. of abiword will bring you to the abiword html doc site.

Additional fonts (namely ghostscript fonts, and complete Libertine set)
and abiword proper clipart : http://limelinx.com/6xid

This pet was assembled from the deb's on the ubuntu precise repository.
It includes appropriate dependencies. Not all abiword dependencies were needed since this precise pup offers already quite a few (see picture below).

///////////////////

You are very welcome to share your experience of this latest abiword.
Enjoy!
BFN
abiword-2.9.2.jpg
Description  Abiword's new gtk 3 interface
jpg

 Download 
Filename  abiword-2.9.2.jpg 
Filesize  50.24 KB 
Downloaded  664 Time(s) 
abiword-2.9.2.tar.gz
Description  Complete list of files in all three pets above.
gz

 Download 
Filename  abiword-2.9.2.tar.gz 
Filesize  6.56 KB 
Downloaded  556 Time(s) 
abiword-2.9.2-build-components.jpg
 Description   The other dependencies were already in precise pup 5.3.0
 Filesize   35 KB
 Viewed   1861 Time(s)

abiword-2.9.2-build-components.jpg


_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
lamuerte

Joined: 29 Oct 2012
Posts: 3

PostPosted: Mon 29 Oct 2012, 12:01    Post_subject: I don't know how to start it
Sub_title: How to start abiword 2.9.2?
 

Hi! I have abiword 2.9.1 in my puppy linux but I want to use v. 2.9.2. I installed the files .pet that you shared but I still have 2.9.1. In /usr/share I have a abiword 2.9.2 file but I don't know what to do to start the program. There are many files but no one seems to do that. In opt/abiword-2.9.2 there is an icon with the name abiword.desktop who opens abiword but it open the old version and not the new one.

Thanks.
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Mon 29 Oct 2012, 23:36    Post_subject:  

Hello, la muerte.

This is just to acknowledge your message. I'm a free-lancer, and I'm up to my ears in work right now. Give me a couple of days and I'll look into it.

Two question for now, though :
What Puppy are you using? and
Do you have an abiword 2.9.2 folder in /usr/bin ?

Best regards.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
lamuerte

Joined: 29 Oct 2012
Posts: 3

PostPosted: Thu 01 Nov 2012, 07:19    Post_subject:  

Hello musher0,

Thanks for your answer. I am using slacko puppy 5.3.3. No, I don't have an abiword 2.9.2 folder in usr/bin. I only have an abiword icon but it opens the old abiword 2.9.1. In fact, there are only icons in usr/bin.

Best regards,

La Muerte
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Thu 01 Nov 2012, 11:54    Post_subject:  

lamuerte wrote:
Hello musher0,

Thanks for your answer. I am using slacko puppy 5.3.3. No, I don't have an abiword 2.9.2 folder in usr/bin. I only have an abiword icon but it opens the old abiword 2.9.1. In fact, there are only icons in usr/bin.

Best regards,

La Muerte


Ah. You see, this abiword was made to work on the precise puppy 5.3 derivative created by "old yeller". I would have to find what libraries are different between that precise and the slacko, but I'm not promising anything.

There is not a big difference between abiword 2.9.1 and 2.9.2, you know.

Best regards.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
lamuerte

Joined: 29 Oct 2012
Posts: 3

PostPosted: Sat 10 Nov 2012, 17:47    Post_subject:  

You're right. There is not a big difference. Anyway the abiword version installed in my puppy linux doesn't have the collaborate options for using the www.abicollab.net service which is great. I though that maybe if I installed the last version I could have them. So I won't mind to keep the old version if I could install the collaborate options. Can you use the collaborate options in your puppy linux? Do you have any idea of what can I do to install them? I'm really seduced by the abicollab services.

Best regards.
Back to top
View user's profile Send_private_message 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Sat 10 Nov 2012, 18:17    Post_subject:  

in typical abiword fashion they forgot to announce the latest testing release:
http://abisource.com/downloads/abiword/2.9.3/source/abiword-2.9.3.tar.gz
...but it is better to checkout svn at this point - mostly bugfixes since last tarball

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send_private_message 
8-bit


Joined: 03 Apr 2007
Posts: 3380
Location: Oregon

PostPosted: Tue 25 Dec 2012, 21:01    Post_subject:  

I downloaded and installed all 3 pets in Slacko 5.4 and found on trying to run abiword 2.9.2 from a terminal that a library file it needed was not found.
I do not know if that library file is in Precise by default in that it was missed.
But I wanted to bring it to your attention.
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Tue 25 Dec 2012, 23:12    Post_subject:  

Thanks much for the info, 8-bit.

As I mentioned in my first post, I presented this abiword 2.9.2 package last August for oldyeller's Precise 5.3.0 only. I'm only half surprised that it won't work in slacko 5.4.

Did you notice which library was missing? Maybe it could be added here separately. (And from there we could check if there are other missing libs.)

Thanks in advance. Merry Christmas! Smile

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Wed 26 Dec 2012, 05:06    Post_subject:  

Hi.

I am pleased to report that this abiword package with full complement of plugins works without problems in mandibule2005's Precise Puppy 5.2.4_beryl, which can be downloaded from here :
https://docs.google.com/open?id=0Bz1ZmBhLHLISaW41YVEzTmU3STQ

mandibule initially announced this great implementation of Precise 5.4.2 in the French section, here :
http://murga-linux.com/puppy/viewtopic.php?t=81601&sort=lastpost&start=15,
p. 2, middle of page.

Best regards.

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Fri 11 Jan 2013, 11:12    Post_subject: not working abiword 292 in lucid puppy 528005  

After installation of this new abiword in lucid puppy 528005 I got

abiword: error while loading shared libraries: libabiword-2.9.so: cannot open shared object file: No such file or directory
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Fri 11 Jan 2013, 22:31    Post_subject:  

Many thanks for your report, Dromeno.
_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
nancy reagan

Joined: 22 Jan 2009
Posts: 512

PostPosted: Thu 13 Jun 2013, 11:46    Post_subject: first remove "built in package" ?  

Being an ubernoob, I wonder whether the probs as described here might be due to the fact that usually abiword is preinstalled and therefore should be "removed" (not physically but just to to be seen by the system anymore) -before- installing the new version ?
Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 4255
Location: Gatineau (Qc), Canada

PostPosted: Thu 13 Jun 2013, 16:57    Post_subject:  

Hi, Nancy, and all.

Perhaps some libs could have been removed beforehand.

I don't have as much experience as some other developers
here, although I may be older than them. I'm entirely
willing to learn new procedures.

As I keep telling people, this package was created for
oldyeller's version of Puppy Precise 5.3. Along the way, we
found that it also worked with mandibule's Precise-beryl
5.4.2.

Reports are to the effect that this incarnation of abiword 2.9.2
does not work on the Puppy Lupu series.

So, it's very simple: if this package does not work on your Puppy
Venusian 12.x or your Puppy Ellesmere Island 82.0.51, or your
Puppy Terra del Fuego A76, don't get mad at me, use a bit of logic.

Here are your choices :
* go back in the wide-wide Web and find an abiword package that's
appropriate for your Puppy OR
* download and use oldyeller's or mandibule's Puppy, and install this package on those OR
* try ttuuxx's implementation of abiword 2.9.1 OR
* use [ Open | Libre ] Office ! Laughing

Best regards,

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
Pelo


Joined: 10 Sep 2011
Posts: 3220
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 27 Jun 2014, 06:20    Post_subject: Correction of bugs (2.9.xseries)
Sub_title: pdf extraction to text ?
 

What lovely things can be done with this light and powerfull text maker. Be aware that these versions 2.9.x are unstable.
Too many copies are running. Abiword will no more ennoy if you change 'préférences' to back-up only each hour (default is 5mn)
These beta versions are to be improved by users feed-back.
so please inform abisource of bak files corrupting the systems. Thank you, roots.
an user can be root.
But a root can be user, when needed, if users are missing . Wink
Tested ?
For example, this pdf plugin may come in handy if you want to pluck out some text from your pdf. Load your pdf in abiword, and the text of the pdf will appear in abiword as -- text --, without any formating Incredible ! première nouvelle. Wonderful.
User Pelo checks that sur le champ (field)
Dans toute les fichiers, quel est celui qui permet l'extraction du texte du pdf ? Merci Musher0.
pagedegarde.tar.gz
Description  Is'nt it fine, this introduction of your videos (Abiword job)
gz

 Download 
Filename  pagedegarde.tar.gz 
Filesize  13.1 KB 
Downloaded  43 Time(s) 

_________________
Puppy, il ne lui manque que la parole !
Back to top
View user's profile Send_private_message YIM 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0916s ][ Queries: 13 (0.0083s) ][ GZIP on ]